Results 1 to 5 of 5

Thread: [404 Not found repository] Ask for newer repository?

  1. #1
    Join Date
    2016-Mar
    Posts
    3

    [404 Not found repository] Ask for newer repository?

    Hi guys,

    I use Kali Rolling Light (xfce)

    Code:
    root@xyz:~# uname -a
    Linux xyz 4.3.0-kali1-amd64 #1 SMP Debian 4.3.5-1kali1 (2016-02-11) x86_64 GNU/Linux
    My little problem: apt-get upgrade and apt-get dist-upgrade progress couldn't be done and it showed up the errors as below.
    Then I actually went to the link below, problem was .deb files too old and get replaced (libapt5.0_1.2.6 replaced by 5.0_1.2.7). Are there any new repositories?

    Code:
    root@xyz:~# apt-get update -qq -y && apt-get upgrade -qq -y && apt-get dist-upgrade -qq -y 
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/libapt-pkg5.0_1.2.6_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/libapt-inst2.0_1.2.6_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/apt_1.2.6_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/a/apt/apt-utils_1.2.6_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/v/vte2.91/libvte-2.91-0_0.42.4-1_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/v/vte2.91/libvte-2.91-common_0.42.4-1_all.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/v/vte2.91/gir1.2-vte-2.91_0.42.4-1_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libv/libva/libva1_1.6.2-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libv/libva/libva-drm1_1.6.2-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libv/libva/libva-x11-1_1.6.2-2_amd64.deb  404  Not Found
    
    E: Failed to fetch http://http.kali.org/kali/pool/main/libv/libva/va-driver-all_1.6.2-2_amd64.deb  404  Not Found
    
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
    Last edited by justacleverguy; 2016-03-25 at 15:57.

  2. #2
    Join Date
    2016-Jan
    Posts
    99
    read the last sentence?

  3. #3
    Same problem different package:

    Code:
    root@kali:~# rm -rf /var/lib/apt/lists/*
    root@kali:~# apt-get update
    Get:1 http://kali.mirror.garr.it/mirrors/kali kali-rolling InRelease [24.6 kB]
    Get:2 http://kali.mirror.garr.it/mirrors/kali kali-rolling/main amd64 Packages [13.5 MB]
    Get:3 http://kali.mirror.garr.it/mirrors/kali kali-rolling/non-free amd64 Packages [144 kB]
    Get:4 http://kali.mirror.garr.it/mirrors/kali kali-rolling/contrib amd64 Packages [93.5 kB]
    Fetched 13.8 MB in 2s (4,773 kB/s)                         
    Reading package lists... Done
    root@kali:~# apt-get upgrade 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
      libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libwebkitgtk-1.0-0
      libwebkitgtk-3.0-0
    The following packages will be upgraded:
      metasploit-framework
    1 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
    Need to get 54.5 MB of archives.
    After this operation, 36.9 kB of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Err:1 http://http.kali.org/kali kali-rolling/main amd64 metasploit-framework amd64 4.11.16-0kali1
      404  Not Found
    E: Failed to fetch http://http.kali.org/kali/pool/main/...ali1_amd64.deb  404  Not Found
    
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
    
    
    root@kali:~# apt-get upgrade --fix-missing
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages have been kept back:
      libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libwebkitgtk-1.0-0
      libwebkitgtk-3.0-0
    The following packages will be upgraded:
      metasploit-framework
    1 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
    Need to get 54.5 MB of archives.
    After this operation, 36.9 kB of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Err:1 http://http.kali.org/kali kali-rolling/main amd64 metasploit-framework amd64 4.11.16-0kali1
      404  Not Found
    E: Failed to fetch http://http.kali.org/kali/pool/main/...ali1_amd64.deb  404  Not Found

  4. #4
    Join Date
    2013-Apr
    Posts
    7
    I had these issue earlier and seems self corrected at later time

    https://forums.kali.org/showthread.p...t-Light-2016-1


    I mean right now I got this issue and hope that it will get fixed soon...

    root@kali-xfce:~# apt-get update
    Err:1 http://http.kali.org/kali kali-rolling InRelease
    Temporary failure resolving 'http.kali.org'
    Reading package lists... Done
    W: Failed to fetch http://http.kali.org/kali/dists/kali-rolling/InRelease Temporary failure resolving 'http.kali.org'
    W: Some index files failed to download. They have been ignored, or old ones used instead.
    _______________________
    Virtual Box 5.0.12 | Kali Linux 64 bit Light 2016.1 (xfce)

  5. #5
    Join Date
    2016-Mar
    Posts
    3
    Sorry if I make you confused, I feel the same after reading my thread.
    What I meant here is I went to the link
    http://http.kali.org/kali/pool/main/a/apt/
    and checked all the available packages that I could see in my browser.

    Ex: libapt5.0_1.2.6 got replaced by 5.0_1.2.7, which I thought the repository issue due to not updating.

Similar Threads

  1. Replies: 10
    Last Post: 2017-05-17, 11:59
  2. repository help
    By vafangool in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2014-12-23, 19:27
  3. Add-apt-repository?
    By altjx in forum TroubleShooting Archive
    Replies: 22
    Last Post: 2014-04-26, 03:47

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •